Skip to content

Replace DNS Load Balancer Health Check.

PUT
/api/config/dns/namespaces/{metadata.namespace}/dns_lb_health_checks/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/example/dns_lb_health_checks/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "http_health_check": { "health_check_port": 1, "health_check_secondary_port": 1, "receive": "example", "send": "example", "disable_virtual_host": {}, "virtual_host": "example" }, "https_health_check": { "health_check_port": 1, "health_check_secondary_port": 1, "receive": "example", "send": "example", "disable_virtual_host": {}, "virtual_host": "example" }, "icmp_health_check": {}, "tcp_health_check": { "health_check_port": 1, "health_check_secondary_port": 1, "receive": "example", "send": "example" }, "tcp_hex_health_check": { "health_check_port": 1, "health_check_secondary_port": 1, "receive": "example", "send": "example" }, "udp_health_check": { "health_check_port": 1, "health_check_secondary_port": 1, "receive": "example", "send": "example" } } }'

Replace DNS Load Balancer Health Check in a given namespace.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a dns_lb_health_check

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
http_health_check
object
health_check_port
Health check port

Port used for performing health check Required: YES.

integer format: int64
health_check_secondary_port
Health check secondary port

Secondary port used for performing health check. If included, both ports must be healthy for the health check to pass.

integer format: int64
receive
Receive String

Regular expression used to match against the response to the health check’s request. Mark node up upon receipt of a successful regular expression match. Uses re2 regular expression syntax.

string
<= 2048 characters
send
Send String

HTTP payload to send to the target.

string
<= 2048 characters
disable_virtual_host
object
virtual_host
Virtual Host

Exclusive with [disable_virtual_host] Name of the virtual host to use for SNI.

string
<= 2048 characters
https_health_check
object
health_check_port
Health check port

Port used for performing health check Required: YES.

integer format: int64
health_check_secondary_port
Health check secondary port

Secondary port used for performing health check. If included, both ports must be healthy for the health check to pass.

integer format: int64
receive
Receive String

Regular expression used to match against the response to the health check’s request. Mark node up upon receipt of a successful regular expression match. Uses re2 regular expression syntax.

string
<= 2048 characters
send
Send String

HTTP payload to send to the target.

string
<= 2048 characters
disable_virtual_host
object
virtual_host
Virtual Host

Exclusive with [disable_virtual_host] Name of the virtual host to use for SNI.

string
<= 2048 characters
icmp_health_check
object
tcp_health_check
object
health_check_port
Health check port

Port used for performing health check Required: YES.

integer format: int64
health_check_secondary_port
Health check secondary port

Secondary port used for performing health check. If included, both ports must be healthy for the health check to pass.

integer format: int64
receive
Receive String

Regular expression used to match against the response to the monitor’s request. Mark node up upon receipt of a successful regular expression match. Uses re2 regular expression syntax.

string
<= 2048 characters
send
Send String

Send this string to target (default empty. When send and receive are both empty, monitor just tests 3WHS)

string
<= 2048 characters
tcp_hex_health_check
object
health_check_port
Health check port

Port used for performing health check Required: YES.

integer format: int64
health_check_secondary_port
Health check secondary port

Secondary port used for performing health check. If included, both ports must be healthy for the health check to pass.

integer format: int64
receive
Receive Payload

Hex encoded raw bytes expected in the response.

string
<= 2048 characters
send
Send Payload

Hex encoded raw bytes sent in the request. Empty payloads imply a connect-only health check.

string
<= 2048 characters
udp_health_check
object
health_check_port
Health check port

Port used for performing health check Required: YES.

integer format: int64
health_check_secondary_port
Health check secondary port

Secondary port used for performing health check. If included, both ports must be healthy for the health check to pass.

integer format: int64
receive
Receive String

UDP response to be matched. It can be a regex. Required: YES.

string
>= 1 characters <= 2048 characters
send
Send String

UDP payload Required: YES.

string
>= 1 characters <= 2048 characters
Examplegenerated
{
"metadata": {
"annotations": {},
"description": "example",
"disable": true,
"labels": {},
"name": "example",
"namespace": "example"
},
"spec": {
"http_health_check": {
"health_check_port": 1,
"health_check_secondary_port": 1,
"receive": "example",
"send": "example",
"disable_virtual_host": {},
"virtual_host": "example"
},
"https_health_check": {
"health_check_port": 1,
"health_check_secondary_port": 1,
"receive": "example",
"send": "example",
"disable_virtual_host": {},
"virtual_host": "example"
},
"icmp_health_check": {},
"tcp_health_check": {
"health_check_port": 1,
"health_check_secondary_port": 1,
"receive": "example",
"send": "example"
},
"tcp_hex_health_check": {
"health_check_port": 1,
"health_check_secondary_port": 1,
"receive": "example",
"send": "example"
},
"udp_health_check": {
"health_check_port": 1,
"health_check_secondary_port": 1,
"receive": "example",
"send": "example"
}
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example